Skip to main content
PUT
/
api
/
v1
/
processor_templates
/
{slug}
Update Template
import requests

url = "https://www.datalab.to/api/v1/processor_templates/{slug}"

payload = {
    "template_description": "<string>",
    "template_category": "<string>",
    "sort_order": "123",
    "name": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/x-www-form-urlencoded"
}

response = requests.put(url, data=payload, headers=headers)

print(response.text)
{
  "processor_id": "<string>",
  "slug": "<string>",
  "name": "<string>",
  "template_description": "<string>",
  "template_category": "<string>",
  "request_description": "<string>",
  "example_files": [
    {
      "filename": "<string>",
      "file_size": 123,
      "content_type": "application/pdf"
    }
  ],
  "display_config": {
    "recommended_view": "<string>",
    "changes_description": "<string>",
    "highlight_css": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

slug
string
required

Cookies

wos-session
string
datalab_active_team
string

Body

application/x-www-form-urlencoded
template_description
string | null
template_category
string | null
sort_order
integer | null
name
string | null

Response

Successful Response

Detailed template info.

processor_id
string
required
slug
string
required
name
string | null
template_description
string | null
template_category
string | null
request_description
string | null
example_files
TemplateExampleFile · object[]
display_config
TemplateDisplayConfig · object

Configuration for how the UI should display template results.